# frozen_string_literal: true

require_relative 'base'
require_relative 'templates'

module Overture
  module Generators
    class Migration < Base
      def call(vars = {})
        name = vars[:name].tr(' ', '_').downcase
        timestamp = Time.now.strftime('%Y%m%d%H%M%S')
        location = File.join('migrations', "#{timestamp}_#{name}.rb")
        content = compile(Templates[:migration], vars)

        write(content, location)
      end
    end
  end
end
