# frozen_string_literal: true

require 'sequel'

Sequel.database_timezone = :utc
Sequel.application_timezone = :local
Sequel.extension :datetime_parse_to_time

module Overture
  # This is a simple class that represents a Database connection
  # using Sequel.
  module Database
    DEFAULT_OPTIONS = {
      extensions: %i[
        pg_array
        pg_json
        pg_timestamptz
        named_timezones
      ]
    }.freeze

    module_function

    # Connects Sequel to database with the passed URL and options.
    def connect(url, options = {})
      Sequel.connect(url, DEFAULT_OPTIONS.merge(options))
    end
  end
end
