# frozen_string_literal: true

require 'bcrypt'

module Overture
  module PasswordDigester
    def valid_password?(password_digest, password)
      BCrypt::Password.new(password_digest).is_password?(password)
    rescue BCrypt::Errors::InvalidHash
      false
    end

    def digest_password(password, cost: BCrypt::Engine.cost)
      BCrypt::Password.create(password, cost: cost)
    end
  end
end
